<?php
function getCon() {
    $con = new mysqli('localhost', 'windel_webcrm', 'j7x^p?%qa#M2TcnpMa*2', 'windel_crm');
    if ($con->connect_errno) die('Erro de conexão com o banco.');
    return $con;
}
$con = getCon();
$cidade = false;
if (isset($_GET['cidade'])) {
    $cidade = urldecode(trim($_GET['cidade']));
} else {
    die;
}

$result = $con->query("SELECT revendas.*, concat(cid.CID_DESCRICAO, ' - ', cid.CID_UF) as cidade, funcionarios.FUN_NOME from revendas  left join funcionarios on funcionarios.FUN_IDFUNCIONARIO = revendas.REV_IDFUNCIONARIO inner join cidades cid on cid.CID_IDCIDADE = REV_IDCIDADE 
        inner join regioescidades on regioescidades.RCD_IDREVENDA = revendas.REV_IDREVENDA inner join cidades on regioescidades.RCD_IDCIDADE = cidades.CID_IDCIDADE where revendas.REV_SITUACAO = 'A' and cidades.CID_DESCRICAO like '%$cidade%' GROUP BY  revendas.REV_IDREVENDA");
if(!$result) {
    echo 'Nenhum resultado encontrado!';
    die;
}
if($result->num_rows == 0) {
    echo 'Nenhum resultado encontrado!';
    die;   
}
while($row = $result->fetch_assoc()) {
    $Atendida = array();
    $resultCidades = $con->query("SELECT cidades.CID_DESCRICAO, cidades.CID_UF from regioescidades inner join cidades on cidades.CID_IDCIDADE = regioescidades.RCD_IDCIDADE where RCD_IDREVENDA = {$row['REV_IDREVENDA']} and cidades.CID_DESCRICAO like '%$cidade%' group by cidades.CID_DESCRICAO");

    while($rowCidade = $resultCidades->fetch_assoc()) {
        $Atendida[] = $rowCidade['CID_DESCRICAO'] . ' - ' . $rowCidade['CID_UF'];
    }

    echo '<div class="unidade">
            <div class="nome">' . $row['REV_FANTASIA'] . '</div>
            <div class="box">
                ' . $row['REV_ENDERECO'] . '<br>
                Bairro: ' . $row['REV_BAIRRO'] . '<br>
                Cidade: ' . $row['cidade'] . '<br>
                CEP: ' . $row['REV_CEP'] . '

            </div>
            <div class="box">
                Fone: ' . $row['REV_FONE1'];
    if (!empty($row['REV_FONE2'])) {
        echo ' / ' . $row['REV_FONE2'];
    }
    if (!empty($row['REV_FONE3'])) {
        echo ' / ' . $row['REV_FONE3'];
    }
    echo '<br>
                Contato: ' . $row['FUN_NOME'] . '<br>';
    if (!empty($row['REV_EMAIL'])) {
        echo 'E-mail: <a href="mailto:' . $row['REV_EMAIL'] . '">' . $row['REV_EMAIL'] . '</a><br>';
    }
    if (!empty($row['REV_SITE'])) {
        echo 'Site: <a href="http://' . $row['REV_SITE'] . '" target="_blank" class="red">' . $row['REV_SITE'] . '</a>';
    }
    echo '</div>
            <div class="clear"></div>
            Cidades atendidas: ' . implode(', ', $Atendida) . '
        <div class="clear"></div>
    </div>';
}